Bug 247115 - Review Request: ldapvi - An interactive LDAP client
Review Request: ldapvi - An interactive LDAP client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 10:31 EDT by Gavin Henry
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 01:53:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gavin Henry 2007-07-05 10:31:26 EDT
Spec URL: http://www.suretecsystems.com/our_docs/ldapvi.spec
SRPM URL: http://www.suretecsystems.com/our_docs/ldapvi-1.7-1.fc7.src.rpm
Description: ldapvi is an interactive LDAP client for Unix terminals. Using it, you can update LDAP entries with a text editor, which is the same as vi. Think of it as vipw(1) for LDAP.
Comment 1 Jason Tibbitts 2007-07-05 14:32:03 EDT
This builds fine for me; rpmlint only says:
  W: ldapvi summary-not-capitalized ldapvi is an interactive LDAP client
Generally you shouldn't include the name of the package in the summary; using
just "An interactive LDAP client" would fix two issues at once.

I thoughht this would be just the ticket, but unfortunately it doesn't seem to
support kerberos-based auth.  It seems to work well enough doing an anonymous
bind, but of course I can't write any changes.

Since there's just the minor issue of the summary, I'll go ahead and approve
this and you can fix it when you check in.

Review:
* source files match upstream:
   6f62e92d20ff2ac0d06125024a914b8622e5b8a0a0c2d390bf3e7990cbd2e153  
   ldapvi-1.7.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X summary generally should not contain the name of the package.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint would be silent if Summary: were fixed as above.
* final provides and requires are sane:
   ldapvi = 1.7-1.fc8
  =
   libcrypto.so.6()(64bit)
   libglib-2.0.so.0()(64bit)
   liblber-2.3.so.0()(64bit)
   libldap-2.3.so.0()(64bit)
   libncurses.so.5()(64bit)
   libpopt.so.0()(64bit)
   libreadline.so.5()(64bit)
   libssl.so.6()(64bit)
   libtinfo.so.5()(64bit)
   libz.so.1()(64bit)
* %check is not present; no test suite upstream.  Things seem to work well 
   enough under manual testing.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just fix up the summary.
Comment 2 Gavin Henry 2007-07-05 14:53:18 EDT
(In reply to comment #1)
> This builds fine for me; rpmlint only says:
>   W: ldapvi summary-not-capitalized ldapvi is an interactive LDAP client
> Generally you shouldn't include the name of the package in the summary; using
> just "An interactive LDAP client" would fix two issues at once.

Will do.

> 
> I thoughht this would be just the ticket, but unfortunately it doesn't seem to
> support kerberos-based auth.  It seems to work well enough doing an anonymous
> bind, but of course I can't write any changes.

It supports SASL, which in turn can do GSSAPI. Any thing ldapsearch/ldapadd can
do, ldapvi can do I presume.

> 
> Since there's just the minor issue of the summary, I'll go ahead and approve
> this and you can fix it when you check in.
> 
> Review:
> * source files match upstream:
>    6f62e92d20ff2ac0d06125024a914b8622e5b8a0a0c2d390bf3e7990cbd2e153  
>    ldapvi-1.7.tar.gz
> * package meets naming and versioning guidelines.
> * specfile is properly named, is cleanly written and uses macros consistently.
> X summary generally should not contain the name of the package.
> * description is OK.
> * dist tag is present.
> * build root is OK.
> * license field matches the actual license.
> * license is open source-compatible.
> * license text included in package.
> * latest version is being packaged.
> * BuildRequires are proper.
> * compiler flags are appropriate.
> * %clean is present.
> * package builds in mock (development, x86_64).
> * package installs properly
> * debuginfo package looks complete.
> * rpmlint would be silent if Summary: were fixed as above.
> * final provides and requires are sane:
>    ldapvi = 1.7-1.fc8
>   =
>    libcrypto.so.6()(64bit)
>    libglib-2.0.so.0()(64bit)
>    liblber-2.3.so.0()(64bit)
>    libldap-2.3.so.0()(64bit)
>    libncurses.so.5()(64bit)
>    libpopt.so.0()(64bit)
>    libreadline.so.5()(64bit)
>    libssl.so.6()(64bit)
>    libtinfo.so.5()(64bit)
>    libz.so.1()(64bit)
> * %check is not present; no test suite upstream.  Things seem to work well 
>    enough under manual testing.
> * no shared libraries are added to the regular linker search paths.
> * owns the directories it creates.
> * doesn't own any directories it shouldn't.
> * no duplicates in %files.
> * file permissions are appropriate.
> * no scriptlets present.
> * code, not content.
> * documentation is small, so no -docs subpackage is necessary.
> * %docs are not necessary for the proper functioning of the package.
> * no headers.
> * no pkgconfig files.
> * no static libraries.
> * no libtool .la files.
> 
> APPROVED, just fix up the summary.

Thanks.

Comment 3 Gavin Henry 2007-07-05 15:25:04 EDT
New Package CVS Request
=======================
Package Name: ldapvi
Short Description: An interactive LDAP client
Owners: ghenry@suretecsystems.com
Branches: FC-6 F-7
InitialCC: tibbs@math.uh.edu, notting@redhat.com
Comment 4 Kevin Fenzi 2007-07-05 20:51:29 EDT
cvs done.
Comment 5 Gavin Henry 2007-07-11 08:32:38 EDT
This hasn't appeared in updates even though I requested it via the new F7 webtool.

Thoughts?
Comment 6 Michael Schwendt 2007-07-11 09:25:28 EDT
If you mean you've marked it as "stable" yet, you still need to 
wait for rel-eng to push it into the repo.

[The bodhi terminology is highly confusing.
ldapvi-1.7-1.fc7 is listed as a "Pending update" here
https://admin.fedoraproject.org/updates/pending?tg_paginate_limit=63
with a "-" in the "submitted" column, although ghenry is listed
as the submitter.]
Comment 7 Fedora Update System 2007-07-27 01:52:58 EDT
ldapvi-1.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.